libzypp 17.38.15

zypp::base::LogControl::JournalLineFormater Struct Reference

Our default format but without date, host and PID info. More...

`#include <zypp-core/base/LogControl.h>`

Inheritance diagram for zypp::base::LogControl::JournalLineFormater:

## Public Member Functions
std::string | format (const std::string &, logger::LogLevel, const char *, const char *, int, const std::string &) override
Public Member Functions inherited from zypp::base::LogControl::LineFormater
virtual | ~LineFormater ()

## Detailed Description

Our default format but without date, host and PID info.

Suitable e.g. as data for the systemd journal.

Definition at line 128 of file LogControl.h.

## Member Function Documentation

## ◆ format()

std::string zypp::base::LogControl::JournalLineFormater::format | ( | const std::string & | group_r,
|  | logger::LogLevel | level_r,
|  | const char * | file_r,
|  | const char * | func_r,
|  | int | line_r,
|  | const std::string & | message_r )
| override virtual

Reimplemented from zypp::base::LogControl::LineFormater.

Definition at line 872 of file LogControl.cc.

The documentation for this struct was generated from the following files:

- zypp-core/base/LogControl.h
- zypp-core/base/LogControl.cc